Bug 1937090 - cluster DNS experiencing disruptions during cluster upgrade in insights cluster
Summary: cluster DNS experiencing disruptions during cluster upgrade in insights cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: jechen
URL:
Whiteboard:
Depends On: 1937089
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-09 19:14 UTC by Miciah Dashiel Butler Masters
Modified: 2021-04-27 14:21 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1937089
Environment:
Last Closed: 2021-04-27 14:20:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 248 0 None open [release-4.6] Bug 1937090: Configure CoreDNS to shut down gracefully 2021-03-09 19:34:38 UTC
Red Hat Product Errata RHBA-2021:1232 0 None None None 2021-04-27 14:21:11 UTC

Comment 3 jechen 2021-04-16 14:08:45 UTC
please ignore my last comment, I read the result reversely by mistake.  Below is correct result:


Verified in 4.6.0-0.nightly-2021-04-16-034018

$  oc -n openshift-dns get pod
NAME                READY   STATUS    RESTARTS   AGE
dns-default-654g9   3/3     Running   0          41m
dns-default-7pp2l   3/3     Running   0          35m
dns-default-dcq44   3/3     Running   0          41m
dns-default-jcrhl   3/3     Running   0          35m
dns-default-q29g9   3/3     Running   0          35m
dns-default-q6lkj   3/3     Running   0          41m

$ oc -n openshift-dns get pod/dns-default-654g9 -oyaml
<---snip--->
    readinessProbe:
      failureThreshold: 3
      httpGet:
        path: /ready    <--- verified the fix by https://github.com/openshift/cluster-dns-operator/pull/248/files
        port: 8181      <--- verified the fix by https://github.com/openshift/cluster-dns-operator/pull/248/files
        scheme: HTTP    
      initialDelaySeconds: 10
      periodSeconds: 3
      successThreshold: 1
      timeoutSeconds: 3
<---snip--->

Comment 6 errata-xmlrpc 2021-04-27 14:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.26 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1232


Note You need to log in before you can comment on or make changes to this bug.